import { humanizer } from "humanize-duration";

const defaultHumanizer = humanizer({
	round: true,
	largest: 1,
	spacer: "",
	languages: {
		en: {
			y: () => "y",
			mo: () => "mo",
			w: () => "w",
			d: () => "d",
			h: () => "h",
			m: () => "m",
			s: () => "s",
			ms: () => "ms",
		},
	},
});

export default function humanizeDuration(ms: number) {
	return defaultHumanizer(ms);
}
