import { defineConfig } from "vite";
import solid from "vite-plugin-solid";
import suid from "@suid/vite-plugin";
import { resolve } from "path";

export default defineConfig({
	plugins: [suid(), solid()],
	build: {
		manifest: "manifest.json",
	},
	resolve: {
		alias: {
			$: resolve(__dirname, "./src/"),
			$lib: resolve(__dirname, "./src/lib/"),
			$components: resolve(__dirname, "./src/components/"),
			$pages: resolve(__dirname, "./src/pages/"),
			$public: resolve(__dirname, "./public/"),
		},
	},
});
